<?php

header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../config/database.php'; 
include_once '../objects/item.php'; 

$database = new Database();
$db = $database->getConnection();

$item = new Item($db);

$stmt = $item->getAllRows();
$num = $stmt->rowCount();


$response = array();
$response["records"] = array();

if ($num > 0) {

    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        extract($row); 

        $item = array(
            (int)$id,
            $category_code, 
            $category,
            $type_code,
            $type,
            $item_code,
            $item_name,
            $barcode,
            $capital_price,
            $sales_price,
            $supplier,
        );


        array_push($response["records"], $item);
    }
}


http_response_code(200);
echo json_encode($response);
?>
